.\" Copyright (c) 1983, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)canfield.6	8.1 (Berkeley) 5/31/93
.\" $FreeBSD: src/games/canfield/canfield/canfield.6,v 1.4.2.2 2001/07/22 11:32:35 dd Exp $
.\" $DragonFly: src/games/canfield/canfield/canfield.6,v 1.4 2007/10/20 17:56:47 swildner Exp $
.\"
.Dd May 31, 1993
.Dt CANFIELD 6
.Os
.Sh NAME
.Nm canfield ,
.Nm cfscores
.Nd the solitaire card game canfield
.Sh SYNOPSIS
.Nm
.Nm cfscores
.Op Fl a
.Op Ar user
.Sh DESCRIPTION
If you have never played solitaire before, it is recommended
that you consult a solitaire instruction book. In
Canfield, tableau cards may be built on each other downward
in alternate colors. An entire pile must be moved as a unit
in building. Top cards of the piles are available
to be played on foundations, but never into empty spaces.
.Pp
Spaces must be filled from the stock. The top card of
the stock also is available to be played on foundations or
built on tableau piles. After the stock is exhausted,
tableau spaces may be filled from the talon and the player may
keep them open until he wishes to use them.
.Pp
Cards are dealt from the hand to the talon by threes
and this repeats until there are no more cards in the hand
or the player quits.
To have cards dealt onto the talon the player types
.Sq Ic ht
for his move.
Foundation base cards are also automatically moved to the foundation
when they become available.
.Pp
The command
.Sq Ic c
causes
.Nm
to maintain card counting statistics on the bottom of the screen.
When properly used this can greatly increase one's chances of winning.
.Pp
The rules for betting are somewhat less strict than
those used in the official version of the game.
The initial deal costs $13.
You may quit at this point or inspect the game.
Inspection costs $13 and allows you to make as many
moves as possible without moving any cards from your hand to the talon.
(The initial deal places three cards on the talon;
if all these cards are used, three more are made available.)
Finally, if the game seems interesting,
you must pay the final installment of $26.
At this point you are
credited at the rate of $5 for each card on the foundation;
as the game progresses you are credited with $5 for each
card that is moved to the foundation.
Each run through the hand after the first costs $5.
The card counting feature
costs $1 for each unknown card that is identified.
If the information is toggled on, you are only charged for cards
that became visible since it was last turned on.
Thus the maximum cost of information is $34.
Playing time is charged at a rate of $1 per minute.
.Pp
With no arguments, the program
.Nm cfscores
prints out the current status of your
.Nm
account.
If a
.Ar user
name is specified, it prints out the status of their
.Nm
account.
If the
.Fl a
flag is specified,
it prints out the
.Nm
accounts for all users that have
played the game since the database was set up.
.Sh FILES
.Bl -tag -width ".Pa /usr/games/canfield" -compact
.It Pa /usr/games/canfield
the game itself
.It Pa /usr/games/cfscores
the database printer
.It Pa /var/games/cfscores
the database of scores
.El
.Sh AUTHORS
.An -nosplit
Originally written:
.An Steve Levine
.Pp
Further random hacking by:
.An Steve Feldman ,
.An Kirk McKusick ,
.An Mikey Olson ,
and
.An Eric Allman .
.Sh BUGS
It is impossible to cheat.
